Bug 1469426 - Support clients configuration with external Ceph clusters
Support clients configuration with external Ceph clusters
Status: ON_QA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 3.0
Assigned To: Guillaume Abrioux
ceph-qe-bugs
:
Depends On:
Blocks: 1386911 1472811 1484447
  Show dependency treegraph
 
Reported: 2017-07-11 05:02 EDT by Giulio Fidente
Modified: 2017-09-19 12:08 EDT (History)
14 users (show)

See Also:
Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc7.el7cp Ubuntu: ceph-ansible_3.0.0~rc7-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph-ansible/issues/1670 None None None 2017-07-14 05:55 EDT
Github ceph/ceph-ansible/issues/1848 None None None 2017-09-01 16:43 EDT
Github ceph/ceph-ansible/pull/1727 None None None 2017-08-02 10:54 EDT
Github ceph/ceph-ansible/pull/1749 None None None 2017-08-29 03:20 EDT
Github ceph/ceph-ansible/pull/1850 None None None 2017-09-01 22:56 EDT

  None (edit)
Description Giulio Fidente 2017-07-11 05:02:58 EDT
Description of problem:
It is important for the integration in TripleO that we allow for configuration of the clients without configuring other roles.

In this scenario the list of mons and the fsid will be given by the user as input and, together with keys:, should make it possible to configure a client without requiring access to the mons role.
Comment 3 Ken Dreyer (Red Hat) 2017-07-24 13:06:55 EDT
That commit is not yet on master.
Comment 5 Giulio Fidente 2017-08-18 05:58:15 EDT
Guillaume do we need to merge https://github.com/ceph/ceph-ansible/pull/1749 as well to be able to use the new feature?
Comment 6 Ken Dreyer (Red Hat) 2017-08-28 18:08:08 EDT
Sebastien, Giulio, would you please confirm this BZ is completely resolved in master today?
Comment 7 seb 2017-08-29 03:20:55 EDT
Ken, https://github.com/ceph/ceph-ansible/pull/1749 should have fixed that, we need to test now.
Comment 10 Harish NV Rao 2017-08-30 08:05:33 EDT
@Seb, couple of questions:
1) Is this fix going to be in Ubuntu based ceph-ansible also?
2) What is the input format to specify clients to be configured?
Comment 11 seb 2017-08-30 08:38:09 EDT
@Harish, the fix will work for both Ubuntu and Red Hat systems.
To configure a client just add a [clients] section in your inventory with the hostname you want to be become a client.
Comment 12 John Fulton 2017-09-01 16:43:09 EDT
I am adding this issue as a dependency here. Because of this issue I propose this get moved back to ASSIGNED though I am happy to try to send a PR to address it next. 

 https://github.com/ceph/ceph-ansible/issues/1848
Comment 13 John Fulton 2017-09-01 22:56:26 EDT
I was able to deploy an overcloud, whose client configuration was done by ceph-ansible, which successfully uses external ceph clusters (able to create cinder volumes and upload glance images) by using the following: 

- https://github.com/ceph/ceph-ansible/pull/1850
- https://review.openstack.org/#/q/topic:bug/1714271
Comment 14 John Fulton 2017-09-07 12:30:00 EDT
I am setting this to POST as the following upstream changes have merged.

- https://github.com/ceph/ceph-ansible/pull/1850
- https://review.openstack.org/#/q/topic:bug/1714271
Comment 15 Ken Dreyer (Red Hat) 2017-09-07 12:37:01 EDT
Would you please tag and announce a new upstream version with this change so we can rebase to it downstream?

Note You need to log in before you can comment on or make changes to this bug.